# MCS_CCcf Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_CCcf:

List of all members.

## Public Types

enum | OptionalFields { e_channelId }

## Public Member Functions

| MCS_CCcf (unsigned tag=18, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_Result | m_result
MCS_UserId | m_initiator
MCS_PrivateChannelId | m_channelId

## Member Enumeration Documentation

enum MCS_CCcf::OptionalFields

Enumerator:

  e_channelId |

## Constructor & Destructor Documentation

MCS_CCcf::MCS_CCcf | ( | unsigned | tag = `18`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_CCcf::GetDataLength | ( |  | ) | const

PBoolean MCS_CCcf::Decode | ( | PASN_Stream & | strm | ) |

void MCS_CCcf::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_CCcf::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_CCcf::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_CCcf::Clone | ( |  | ) | const

## Member Data Documentation

MCS_Result MCS_CCcf::m_result

MCS_UserId MCS_CCcf::m_initiator

MCS_PrivateChannelId MCS_CCcf::m_channelId

The documentation for this class was generated from the following file:

- mcs.h